Subject: bug#17272: bug#19064: bug#17272: bug#19064: 25.0.50; `message' overwrites `y-or-n-p' prompt, so user misses it

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 17 Nov 2019 06:52:44 +0100

Juri Linkov <[email-masked]> writes:

> But before I had a chance to answer the prompt, compilation finished
> and obscured the prompt with this message permanently:
>
>   Compilation finished
>
> So I forgot about what was in the prompt :-(

Yeah, it's a problem all over the place.

> Since Drew doesn't want to improve safety to cover all such cases,
> we need to address these issues one by one, so here is the next patch:

Drew doesn't have very powers.  I say go ahead and make the change in
`message' (with a variable that can be used to force `message' to not
behave like `minibuffer-message').

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no